GZBD-VIEWER(8)

NAME
gzbd-viewer - zoned block devices zone state graphical interface

SYNOPSIS
gzbd-viewer [options] device

DESCRIPTION
gzbd-viewer is used to dynamically display the state of zones of a zoned block device. Each zone is displayed as a box representing the sector range of the zone. A zone box is filled with different colors based on the zone type and on the use of sectors within the zone. The condition of zones is indicated by highlighting a zone box border with different colors.

Zone type and usage color codes
Magenta | Conventional zones
Red | Written sectors of a sequential zone
Green | Unwritten and usable sectors of a sequential zone
Rosy brown | Unusable sectors of a sequential zone

Zone condition color codes
Light blue | Explicitly opened zones
Dark blue | Implicitly opened zones
Dark orange | Closed zones
Grey | Offline zones

The device argument must be the pathname of the target zoned block device.

By default, gzbd-viewer will display at most 100 zones using a 10 x 10 grid. This default display size can be changed using options as explained below.

OPTIONS

-?, --help
    Show help options and exit.

--help-all
    Show all help options and exit.

--help-gtk
    Show GTK+ options and exit.

-v, --verbose
    Use libzbd verbose mode (for debug).

-i, --interval msec
    Set refresh interval to msec milliseconds (default: 500).

-w, --width columns
    Display zones in a matrix of columns columns.

-h, --height rows
    Display zones in a matrix of rows rows.

-b, --block size
    Use size as the unit for displaying a zone position, length and write pointer position instead of the default byte value.

--display=DISPLAY
    Specify the X display to use.

AUTHOR
Damien Le Moal <damien.lemoal@wdc.com>

SEE ALSO
zbd(8), gzbd(8)

AVAILABILITY
The gzbd-viewer utility is part of the libzbd library available from https://github.com/westerndigitalcorporation/libzbd.